function SceneVideoCallFullSD(options) {
	this.options = options;
    
    this.VideoCallFullSDView =null;

    this.CallDurationTextSDLabel =null;
    this.CallDurationTimeSDLabel =null;
	this.CallQualityGaugeLabel=null;

    this.YourThumbnailSDLabel=null;
    this.MyThumbnailSDLabel=null;

    this.CallEndBtn=null;
	this.CameraOffBtn=null;
    this.MicVolumeBtn=null;
    this.HoldBtn=null;
    this.TempBtn=null;
      
    this.HoldIconLabel = null;
	this.HoldAniLabel = null;
    
    this.SDHelpBar = null;

}

SceneVideoCallFullSD.prototype.initialize = function () {
	alert("SceneVideoCallFullSD.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here 
	// scene HTML and CSS will be loaded before this function is called
    
   this.create();
}

SceneVideoCallFullSD.prototype.handleShow = function () {
	alert("SceneVideoCallFullSD.handleShow()");
	// this function will be called when the scene manager show this scene 
	this.closeVideoRect();
    this.update();
  	
  	// window.addEventListener('click', $.sf.returnFocus);
}

SceneVideoCallFullSD.prototype.handleHide = function () {
	alert("SceneVideoCallFullSD.handleHide()");
	// this function will be called when the scene manager hide this scene
	
	this.highlight(null);
	
	// window.removeEventListener('click', $.sf.returnFocus);
}

SceneVideoCallFullSD.prototype.handleFocus = function () {
	alert("SceneVideoCallFullSD.handleFocus()");
	// this function will be called when the scene manager focus this scene
    var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    if(currentHighlight ==null)
    {
        this.highlight(this.CallEndBtn);
    }
    else
    {
        this.highlight(currentHighlight);
    }
}

SceneVideoCallFullSD.prototype.handleBlur = function () {
	alert("SceneVideoCallFullSD.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
	
	var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
     if(currentHighlight !=null)
    {
        currentHighlight.blur();
    }
}

SceneVideoCallFullSD.prototype.handleKeyDown = function (keyCode) {
	alert("SceneVideoCallFullSD.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	switch (keyCode) {
		case sf.key.LEFT:
            this.processLeftKey();
			break;
		case sf.key.RIGHT:
           this.processRightKey();
			break;
			
		case sf.key.UP:

			break;
		case sf.key.DOWN:

			break;

		case sf.key.ENTER:
            this.processEnterKey();
			break;
            
        case sf.key.GREEN:
        this.processGreenKey();
            break;
        
        case sf.key.VOL_DOWN:
        case sf.key.PANEL_VOL_DOWN:
		case sf.key.VOL_UP:
        case sf.key.PANEL_VOL_UP:
             this.processVolumeKey();
			break;
            
        case sf.key.N1:
        case sf.key.N2:
        case sf.key.N3:
        case sf.key.N4:
        case sf.key.N5:
        case sf.key.N6:
        case sf.key.N7:
        case sf.key.N8:
        case sf.key.N9:
        case 35:
		case 650: 
        case sf.key.N0:
        case 259:
            ProcMgr.SendDTMF(keyCode);
            break; 
        
         case sf.key.RED:
            
			break;
            
       case sf.key.YELLOW:
        	this.processYellowKey();
            break;
			
		case sf.key.BLUE:
			this.processBlueKey();
			break;
						
		case sf.key.TOOLS:
			alert("KEY_TOOLS");
			this.processToolKey();
			break;
                        
       case sf.key.RETURN:
           this.processReturnKey();
            sf.key.block(event);
            break;
            
       case sf.key.EXIT:
            this.processExitKey();
            sf.key.block(event);
			break;
            
         case 147:  //infolink
         case 261:  //contents
         case 115:  //wiselink
            ProcMgr.processInfolinkKey();
			break;

    		//Gesture recognition  >> Scroll
         case 40000002:
         case 40000003:
         case 40000004:
         case 40000005:
			break;
            
         default:
            ProcMgr.processBlockKey(keyCode);
            break;  
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneVideoCallFullSD.prototype.create = function(){
    alert("SceneVideoCallFullSD.create() ");
    this.VideoCallFullSDView = new View("VideoCallFullSD");
    if(WndMgr.Bg_VideoCallSD != null)
    {
    	 this.VideoCallFullSDView.SetBgImage(WndMgr.Bg_VideoCallSD.src);
    }
    else
    {
    	this.VideoCallFullSDView.SetBgImage(g_Image.IMAGE_VIDEO_CALL_SD_VIEW_BG);
    }

    this.CallDurationTextSDLabel = new Label(null,"call_duration_text_sd");
    this.CallDurationTextSDLabel.SetTextStyle("call_duration_full_text_style");    
    this.AdjustDurationText(IDWS_MOIP_SKYPE_CALL_DURATION);

    this.CallDurationTimeSDLabel = new Label(null,"call_duration_time_sd");
    this.CallDurationTimeSDLabel.SetTextStyle("call_duration_time_style");
    this.CallDurationTimeSDLabel.SetText("00:00:00");
	
	this.CallQualityGaugeLabel= new Label("call_quality_gauge_sd", null);
    this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE1);

    this.YourThumbnailSDLabel= new Label("your_thumbnail_sd", null);
    this.YourThumbnailSDLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_THUMBNAIL_SD_L);
    this.YourThumbnailSDLabel.visibleObj();

    this.MyThumbnailSDLabel= new Label("my_thumbnail_sd", null);
    this.MyThumbnailSDLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_THUMBNAIL_FULL_S);
    this.MyThumbnailSDLabel.visibleObj();

	var this_ = sf.scene.get("VideoCallFullSD");
	var clickCF =  function(obj){this_.processClickEvent(obj);};

    this.CallEndBtn = new Button();
    this.CallEndBtn.SetImageObjId("video_call_end_sd_btn");
    this.CallEndBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_VIDEO_CALL_END_NOR_BTN_NORMAL);
    this.CallEndBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_VIDEO_CALL_END_NOR_BTN_NORMALFOCUS);
	this.CallEndBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_VOICE_CALL_TO_VIDEO_CALL_BTN_DIM);	
    this.CallEndBtn.SetTextObjId("video_call_end_sd_btn_text");
    this.CallEndBtn.SetText(TV_SID_END_CALL);
    this.CallEndBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"common_btn_text_f17_normal_style");
	this.CallEndBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"common_btn_text_f17_highlight_style");
	this.CallEndBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE,"video_call_button_text_dim_style");	
    this.CallEndBtn.SetOnClickCallbackFunc(clickCF);

    this.CameraOffBtn = new Button();
    this.CameraOffBtn.SetImageObjId("video_call_camera_off_sd_btn");
    this.CameraOffBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMAL);
    this.CameraOffBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMALFOCUS);
	this.CameraOffBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_DIM);	
    this.CameraOffBtn.SetTextObjId("video_call_camera_off_sd_btn_text");
    this.CameraOffBtn.SetText(COM_IDS_STR_STOP_VIDEO_KR_OFF_CAMERA );
    this.CameraOffBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"common_btn_text_f17_normal_style");
	this.CameraOffBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"common_btn_text_f17_highlight_style");
    this.CameraOffBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE,"common_btn_text_f17_dim_style");
    this.CameraOffBtn.SetOnClickCallbackFunc(clickCF);    

    this.MicVolumeBtn = new Button();
    this.MicVolumeBtn.SetImageObjId("video_call_mic_volume_sd_btn");
    this.MicVolumeBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMAL);
    this.MicVolumeBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMALFOCUS);
	this.MicVolumeBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_DIM);
    this.MicVolumeBtn.SetTextObjId("video_call_mic_volume_sd_btn_text");
    this.MicVolumeBtn.SetText(TV_SID_MIC_VOL);
    this.MicVolumeBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"common_btn_text_f17_normal_style");
	this.MicVolumeBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"common_btn_text_f17_highlight_style");
    this.MicVolumeBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE,"common_btn_text_f17_dim_style");
    this.MicVolumeBtn.SetOnClickCallbackFunc(clickCF);

    this.HoldBtn = new Button();
    this.HoldBtn.SetImageObjId("video_call_hold_sd_btn");
    this.HoldBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMAL);
    this.HoldBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_NORMALFOCUS);
	this.HoldBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_VIDEO_CALL_BTN_DIM);		
    this.HoldBtn.SetTextObjId("video_call_hold_sd_btn_text");
    this.HoldBtn.SetText(IDWS_MOIP_SKYPE_HOLD);
    this.HoldBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"common_btn_text_f17_normal_style");
	this.HoldBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"common_btn_text_f17_highlight_style");
	this.HoldBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE,"common_btn_text_f17_dim_style");
    this.HoldBtn.SetOnClickCallbackFunc(clickCF);    	
 
   /* this.TempBtn = new Button();
    this.TempBtn.SetImageObjId("video_call_sd_green_help");
    this.TempBtn.SetOnClickCallbackFunc(this_.processGreenKey);  */ 
 

    this.HoldIconLabel= new Label("video_call_sd_hold_icon", null);
    this.HoldIconLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_HOLD_ICON);
	
	this.HoldAniLabel= new Label("video_call_sd_hold_animation", null);
	this.HoldAniLabel.AppendFgImage("video_call_sd_hold_animation_icon","0px","0px","108px","108px");
    this.HoldAniLabel.SetFgImage(WndMgr.Bg_LoadingGIF.src);
    
    this.SDHelpBar = new HelpBar(HelpBarIndex.VIDEO_CALL_FULL_SD_VIEW, "SceneVideoCallFullSD");
    this.SDHelpBar.SetOnClickCallbackFunc(1, function(){this_.processGreenKey();});
    this.SDHelpBar.SetOnClickCallbackFunc(2, function(){this_.processBlueKey();});
    this.SDHelpBar.SetOnClickCallbackFunc(3, function(){this_.processToolKey();});
    this.SDHelpBar.SetOnClickCallbackFunc(4, function(){this_.processReturnKey();});
    
	this.CallEndBtn.registHelpBar( this.SDHelpBar);
	this.CameraOffBtn.registHelpBar( this.SDHelpBar);
	this.MicVolumeBtn.registHelpBar( this.SDHelpBar);
	this.HoldBtn.registHelpBar( this.SDHelpBar);  
    
    //this.SDHelpBar.SetOnClickCallbackFunc(0,this_.processGreenKey);
}

SceneVideoCallFullSD.prototype.update=function()
{  
     if(g_Data.GetCallLocalHold() == true)
     {
        this.LocalHold();
     }
     else if(g_Data.GetCallRemoteHold() == true)
     {
        this.RemoteHold();
     }
     else
     {
	 	if(ProcMgr.callHoldTimer == true)
		{
			this.StartLocalHoldWait();
		}
		else
		{
			this.StopLocalHoldWait();
		}
		
        this.Resume();
     }  
	 
	this.UpdateCallQuality();	
    this.toggleCameraOffBtnEnable();
    this.toggleYourVideo();
    this.toggleMyVideo(); 
	
}

SceneVideoCallFullSD.prototype.updateCallDuration = function(time)
{
     this.CallDurationTimeSDLabel.SetText(time);
}

SceneVideoCallFullSD.prototype.UpdateCallQuality= function()
{
	var level = g_Data.GetCallQualityGauge();
    alert("SceneVideoCallFullSD.UpdateCallQuality() " + level);
	
    if(level ==1)
    {
        this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE1);
    }
    
    if(level ==2)
    {
        this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE2);
    }
    
    if(level ==3)
    {
        this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE3);
    }
    
    if(level ==4)
    {
        this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE4);
    }
    
    if(level ==5)
    {
        this.CallQualityGaugeLabel.SetBgImage(g_Image.IMAGE_VIDEO_CALL_VIEW_QUALITY_GAUGE5);
    }    
}

SceneVideoCallFullSD.prototype.toggleCameraOffBtnEnable=function()
{
    alert("SceneVideoCallFullSD.toggleCameraOffBtnEnable() ");
    
    var camera_state = PluginAPIMgr.GetCameraState();
    
    if(camera_state == ENUM_CAM_STATE.CAM_STATE_DISCONNECTED || camera_state == ENUM_CAM_STATE.CAM_STATE_CONNECTING)
    {
        alert("SceneVideoCallFullSD.toggleCameraOffBtnEnable() Dim : true ->  camera_state : "+ camera_state );

         var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
        if(currentHighlight ==  this.CameraOffBtn)
        {
            if(this.CameraOffBtn.flag_highlight == true)
            {
                this.highlight(this.CallEndBtn);
            }
            else
            {
                this.highlight(null);
            }
        }
        
        this.CameraOffBtn.SetFlagDim(true);
        
        if(currentHighlight ==  this.MicVolumeBtn)
        {
             if(this.MicVolumeBtn.flag_highlight == true)
            {
                this.highlight(this.CallEndBtn);
            }
            else
            {
                this.highlight(null);
            }
        }
        this.MicVolumeBtn.SetFlagDim(true);
    }
    else
    {
        alert("SceneVideoCallFullSD.toggleCameraOffBtnEnable() Dim :  false ");
        if(PluginAPIMgr.IsInCall()==1)
		{
			PluginAPIMgr.StartRecord();
		}
		
		if(this.CameraOffBtn.GetFlagDim()==true)
		{
			if(g_Data.GetCallLocalHold() !=true && g_Data.GetCallRemoteHold() !=true)
			{
				this.CameraOffBtn.SetFlagDim(false);
			}				
		}
		
		if(this.MicVolumeBtn.GetFlagDim() == true)
		{
			this.MicVolumeBtn.SetFlagDim(false);
		}
    }    
}

SceneVideoCallFullSD.prototype.toggleYourVideo = function()
{
    var is_receiving_video =    ProcMgr.IsReceivingVideo(); 
    
    if(is_receiving_video == true)
    {
        this.YourThumbnailSDLabel.hiddenObj();
    }
    else
    {
        this.YourThumbnailSDLabel.visibleObj();
    }
}

SceneVideoCallFullSD.prototype.toggleMyVideo = function()
{
    var is_sending_video = PluginAPIMgr.IsSendingVideo(); 
    
    if(is_sending_video == 1)
    {
        this.CameraOffBtn.SetText(COM_IDS_STR_STOP_VIDEO_KR_OFF_CAMERA);
        this.MyThumbnailSDLabel.hiddenObj();
    }
    else
    {
        this.CameraOffBtn.SetText(TV_SID_START_VIDEO_KR_ON_CAMERA);
        this.MyThumbnailSDLabel.visibleObj();
    }
	
	if(this.CameraOffBtn.flag_highlight == true)
	{
		this.CameraOffBtn.changeHelpBar( this.SDHelpBar);
	}		
}

SceneVideoCallFullSD.prototype.toggleCameraOnOff= function()
{
    var is_sending_video = PluginAPIMgr.IsSendingVideo(); 
    
    if(is_sending_video == 1)
    {
        ProcMgr.StopSendVideo();
    }
    else
    {       
        ProcMgr.StartSendVideo();
    }
}

SceneVideoCallFullSD.prototype.closeVideoRect= function()
{
   $("#VideoCallFullSD").css('background-color' , 'rgb(0,0,0)');
   
     this.YourThumbnailSDLabel.visibleObj();
     this.MyThumbnailSDLabel.visibleObj();
}

SceneVideoCallFullSD.prototype.openVideoRect= function()
{
    $("#VideoCallFullSD").css('background-color' , 'transparent');
}

SceneVideoCallFullSD.prototype.highlight=function(obj)
{
    this.VideoCallFullSDView.setCurrenHighlight(obj);
}

SceneVideoCallFullSD.prototype.processLeftKey=function()
{
    alert("SceneVideoCallFullSD.processLeftKey() ");
    var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.CallEndBtn:
            this.highlight(this.HoldBtn);
            break;
         case this.CameraOffBtn:
            this.highlight(this.CallEndBtn);
            break;
        case this.MicVolumeBtn:        
               if( this.CameraOffBtn.GetFlagDim() ==true)
             {
                this.highlight(this.CallEndBtn);
             }
             else
             {
               this.highlight(this.CameraOffBtn);
             }
            break; 

         case this.HoldBtn:

		 	if( this.MicVolumeBtn.GetFlagDim()==true)
			{
				this.highlight(this.CallEndBtn);
			}
			else
			{
				this.highlight(this.MicVolumeBtn);
			}                
            break;                       
    }
}

SceneVideoCallFullSD.prototype.processRightKey=function()
{
    alert("SceneVideoCallFullSD.processRightKey() ");
    var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.CallEndBtn:
             if( this.CameraOffBtn.GetFlagDim() ==true )
             {
			 	if(this.MicVolumeBtn.GetFlagDim() ==true)
				{
				 	this.highlight(this.HoldBtn);	
				}
				else
				{
					this.highlight(this.MicVolumeBtn);
				}            
             }
             else
             {
               this.highlight(this.CameraOffBtn);
             }
            break;
         case this.CameraOffBtn:
            this.highlight(this.MicVolumeBtn);
            break;
        case this.MicVolumeBtn:
            this.highlight(this.HoldBtn);
            break; 

         case this.HoldBtn:
            this.highlight(this.CallEndBtn);
            break;                       
    }
}

SceneVideoCallFullSD.prototype.processEnterKey=function()
{
    alert("SceneVideoCallFullSD.processEnterKey() ");
    var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.CallEndBtn:
            this.closeVideoRect();
            ProcMgr.DisconnectCall();
            break;
			
         case this.CameraOffBtn:
           this.toggleCameraOnOff();
            break;
			
        case this.MicVolumeBtn:
             StateMgr.Start_Volume_Mic_State();
            break;
			 	
         case this.HoldBtn:
             ProcMgr.ToggleLocalHold(); 
            break;                      
    }
}

SceneVideoCallFullSD.prototype.processGreenKey=function()
{
    alert("SceneVideoCallFullSD.processGreenKey() ");
	
	this.closeVideoRect();
     $("#VideoCallFullSD").css('background-color' , 'rgb(0,0,0)');

	WndMgr.ChangeVideoCallScreen();      
}


SceneVideoCallFullSD.prototype.processToolKey=function()
{
    alert("SceneVideoCallFullSD.processToolKey() ");
	
	StateMgr.Start_List_Tools_State(TOOL_MENU_LIST_TYPE.VIDEO_CALL);    
}


SceneVideoCallFullSD.prototype.processVolumeKey=function()
{
    alert("SceneVideoCallFullSD.processVolumeKey() ");
    StateMgr.Start_Volume_Speaker_State();
}

SceneVideoCallFullSD.prototype.processReturnKey = function(){
    alert("SceneVideoCallFullHD.processReturnKey() ");
    
    if(ProcMgr.isGenoaS==false)
	{
		StateMgr.Start_Main_State();
	}
	else
	{
		StateMgr.Start_Call_Switch_State(); 
	}       
}

SceneVideoCallFullSD.prototype.processExitKey = function(){
	alert("SceneVideoCallFullHD.processExitKey() ");
	
	StateMgr.Start_Exit_State(false);
}

SceneVideoCallFullSD.prototype.StartLocalHoldWait=function()
{
	alert("SceneVideoCallFullSD.StartLocalHoldWait() "); 
	this.HoldAniLabel.visibleObj(); 
}

SceneVideoCallFullSD.prototype.StopLocalHoldWait=function()
{
	alert("SceneVideoCallFullSD.StopLocalHoldWait() "); 
	this.HoldAniLabel.hiddenObj();
}

SceneVideoCallFullSD.prototype.processBlueKey = function(){
    alert("SceneVideoCallFullSD.processBlueKey() ");
    
	if(ProcMgr.isGenoaS==false)
	{
		StateMgr.Start_Live_Contact_List_State();
	}	
}

SceneVideoCallFullSD.prototype.processYellowKey = function(){
    alert("SceneVideoCallFullSD.processYellowKey() ");
    
	this.closeVideoRect();

	WndMgr.ChangeTVScreen();  

}

SceneVideoCallFullSD.prototype.StartLocalHoldWait=function()
{
	alert("SceneVideoCallFullSD.StartLocalHoldWait() "); 
	this.HoldAniLabel.visibleObj();
	
	var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
	if(currentHighlight ==  this.CameraOffBtn)
    {
        if(this.CameraOffBtn.flag_highlight == true)
        {
            this.highlight(this.CallEndBtn);
        }
        else
        {
            this.highlight(null);
        }
    }
	this.CameraOffBtn.SetFlagDim(true);  
}

SceneVideoCallFullSD.prototype.StopLocalHoldWait=function()
{
	alert("SceneVideoCallFullSD.StopLocalHoldWait() "); 
	this.HoldAniLabel.hiddenObj();
}

SceneVideoCallFullSD.prototype.LocalHold=function()
{
    alert("SceneVideoCallFullSD.LocalHold() "); 
	this.StopLocalHoldWait();  
    this.HoldIconLabel.visibleObj();
    this.HoldBtn.SetText(SID_RESUME);    
    this.AdjustDurationText(IDWS_MOIP_CALL_ON_HOLD);
	
	var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
	if(currentHighlight ==  this.CameraOffBtn)
    {
        if(this.CameraOffBtn.flag_highlight == true)
        {
            this.highlight(this.CallEndBtn);
        }
        else
        {
            this.highlight(null);
        }
    }
	this.CameraOffBtn.SetFlagDim(true);    
}

SceneVideoCallFullSD.prototype.RemoteHold=function()
{
    alert("SceneVideoCallFullSD.RemoteHold() ");
	this.StopLocalHoldWait();  
    this.HoldIconLabel.visibleObj();
    this.HoldBtn.SetText(IDWS_MOIP_SKYPE_HOLD);
    this.AdjustDurationText(TV_SID_YOU_ARE_ON_HOLD);
	
	var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    if(currentHighlight ==  this.CameraOffBtn)
    {
        if(this.CameraOffBtn.flag_highlight == true)
        {
            this.highlight(this.CallEndBtn);
        }
        else
        {
            this.highlight(null);
        }
    }
    
    this.CameraOffBtn.SetFlagDim(true);
}

SceneVideoCallFullSD.prototype.Resume=function()
{
    alert("SceneVideoCallFullSD.Resume() ");  
    this.HoldIconLabel.hiddenObj();
    this.HoldBtn.SetText(IDWS_MOIP_SKYPE_HOLD);
    this.AdjustDurationText(IDWS_MOIP_SKYPE_CALL_DURATION);
	
	var camera_state = PluginAPIMgr.GetCameraState();
    if(camera_state != ENUM_CAM_STATE.CAM_STATE_DISCONNECTED && camera_state != ENUM_CAM_STATE.CAM_STATE_CONNECTING)
	{
		this.CameraOffBtn.SetFlagDim(false);
	}
}

SceneVideoCallFullSD.prototype.processClickEvent = function(obj){
	alert("SceneVideoCallFullSD.processClickEvent() ");
		
	var currentHighlight =  this.VideoCallFullSDView.getCurrentHighlight();
    if(currentHighlight != obj)
    {
    	this.highlight(obj);
    }
    
	if(event.button==2)
	{
		alert("SceneVideoCallFullSD.processClickEvent() -> right button ");
		this.processToolKey();
	}
	else
	{
		alert("SceneVideoCallFullSD.processClickEvent() -> left button ");
		this.processEnterKey();
	}	
}


SceneVideoCallFullSD.prototype.AdjustDurationText = function(text)
{
	
	this.CallDurationTextSDLabel.SetText(text); 
	
	var CurLangID = ResMgr.GetCurLanguage();
	
	if(text == IDWS_MOIP_SKYPE_CALL_DURATION)
	{
		$("#call_duration_text_sd").css('top', "91px" );
		$("#call_duration_text_sd").css('font-size', "17px" );
		
	}
	else if(text == TV_SID_YOU_ARE_ON_HOLD)
	{
	 	if(CurLangID == ENUM_TV_LANGUAGE.RUS || CurLangID == ENUM_TV_LANGUAGE.HUN || CurLangID == ENUM_TV_LANGUAGE.MAY)
	 	{
			$("#call_duration_text_sd").css('top', "91px" );
			$("#call_duration_text_sd").css('font-size', "16px" );
	   	}
	   	// else if(CurLangID == ENUM_TV_LANGUAGE.RUS)
	   	// {
			// $("#call_duration_text_sd").css('top', "80px" );
			// $("#call_duration_text_sd").css('font-size', "16px" );	   		
	   	// }
	   	else
	   	{
			$("#call_duration_text_sd").css('top', "91px" );
			$("#call_duration_text_sd").css('font-size', "17px" );
	   	}
	}
	else if(text == IDWS_MOIP_CALL_ON_HOLD)
	{
	 	if(CurLangID == ENUM_TV_LANGUAGE.LTU || CurLangID == ENUM_TV_LANGUAGE.POL)
	 	{
			$("#call_duration_text_sd").css('top', "80px" );
			$("#call_duration_text_sd").css('font-size', "16px" );
	   	}
	   	else if(CurLangID == ENUM_TV_LANGUAGE.AMH)
	   	{
			$("#call_duration_text_sd").css('top', "91px" );
			$("#call_duration_text_sd").css('font-size', "16px" );
	   	}
	   	else
	   	{
			$("#call_duration_text_sd").css('top', "91px" );
			$("#call_duration_text_sd").css('font-size', "17px" );
	   	}
	}
}



